# R2C

r2C powered by grav  in docker environement (nginx, php:5.6-fpm)

## Install docker
```
sudo pacman -S docker docker-compose docker-machine
```

## Clone this repos

this will clone this repos (main docker environement) and the grav source code

```
git clone --recursive -o figli https://figureslibres.io/gogs/kevin/docker-r2c-grav.git
```

## Hosts and reverse proxy

add to your /etc/hosts :
```
127.0.0.1	dev.r2c.net
```
configure your apache vhosts to add a reverse proxy that will redirect the dev.materio.com to our container
```
<Virtualhost *:80>
   ServerName dev.r2c.net
   ProxyPass / http://127.0.0.1:8880/
   ProxyPassReverse / http://127.0.0.1:8880/
   ProxyRequests Off
</Virtualhost>
```

## Docker

### start daemon
launch the docker daemon
```
sudo systemctl start docker
```
### build
only before the first run (may take some time)
```
sudo docker-compose build
```
### run
then each time you want to launch the app
```
sudo docker-compose up -d
```
### loging in
```
sudo docker exec -it r2c-grav_php_1 bash
```

## Visualize
You can now visit http://dev.2018.unesaisongraphique.fr or simply http://localhost:8880 on your browser
After the first run
